#3148 closed defect (fixed)

PSXRDWRV Test failure on Beaglebone Black

Reported by: Chris Johns Owned by: joel.sherrill@…
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords: Beaglebone
Cc: Blocked By:
Blocking:

Description

Running rtems-test with a recent u-boot and a current master this failure is reported:

] RTEMS Beagleboard: am335x-based
]
]
] *** BEGIN OF TEST PSXRDWRV ***
] writev bad file descriptor -- EBADF
] writev error 1: 22=Invalid argument
] Error during error test!!!!

Change History (5)

comment:1 Changed on Sep 21, 2017 at 3:15:38 PM by Joel Sherrill

Works on erc32
Fails on jmr3904, psim, and xilinx_zynq_a9_qemu

Tracked down to needing a memset on a stack variable "vec" which was an IO vector. Apparently depending on the BSP, the variable was zero or not. Patch to follow

comment:2 Changed on Sep 21, 2017 at 3:17:28 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: newclosed

In 714cb06/rtems:

psxrdwrv/test.c: Clear iovec to ensure consistent results

closes #3148.

comment:3 Changed on Oct 5, 2017 at 8:30:10 AM by Sebastian Huber

Milestone: Indefinite4.12.0

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.